[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.AdjustSize

Smart way to DoAutoSize.

## Declaration

Source position: controls.pp line 1640

`public procedure TControl.AdjustSize; virtual;`

## Description

AdjustSize is the same as Delphi the TWinControl.DoAutoSize method. But since DoAutoSize is commonly overridden in descendent components, it is not useful to perform all tests, which can result in too much overhead. To reduce this the LCL calls AdjustSize instead.

During loading and handle creation the calls are delayed.

## See also

TControl.AutoSize |  | Allows automatic adjustment of the size for the control, according to its content.